Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class MonoIterator

    java.lang.Object
      net.sf.saxon.expr.MonoIterator

All Implemented Interfaces:
  java.util.Iterator

public class MonoIterator
extends java.lang.Object
implements java.util.Iterator

An iterator over a single object (typically a sub-expression of an expression)

Constructor Summary
`MonoIterator(java.lang.Object thing)`

Method Summary
`boolean` | `hasNext()` Returns `true` if the iteration has more elements.
`java.lang.Object` | `next()` Returns the next element in the iteration.
`void` | `remove()` Removes from the underlying collection the last element returned by the iterator (optional operation).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonoIterator

    public MonoIterator(java.lang.Object thing)

Method Detail

### hasNext

    public boolean hasNext()

  Returns `true` if the iteration has more elements. (In other words, returns `true` if `next` would return an element rather than throwing an exception.)

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Returns:
    `true` if the iterator has more elements.

### next

    public java.lang.Object next()

  Returns the next element in the iteration.

  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    the next element in the iteration.
  Throws:
    `java.util.NoSuchElementException` - iteration has no more elements.

### remove

    public void remove()

  Removes from the underlying collection the last element returned by the iterator (optional operation). This method can be called only once per call to `next`. The behavior of an iterator is unspecified if the underlying collection is modified while the iteration is in progress in any way other than by calling this method.

  Specified by:
    `remove` in interface `java.util.Iterator`
  Throws:
    `java.lang.UnsupportedOperationException` - if the `remove` operation is not supported by this Iterator (which is the case for this iterator).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD